#!/bin/sh
pt=/var/lib/pgsql/data
if test ! -f $pt/postgresql.conf; then
   initdb
fi
if test ! -f $pt/postgresql.i; then
  cp  $pt/postgresql.conf $pt/postgresql.i
  sed 's/#listen_addresses = '\''localhost'\''/listen_addresses = '\''*'\''/' $pt/postgresql.i >$pt/postgresql.conf
fi 
if test ! -f $pt/pg_hba.i ; then
  cp  $pt/pg_hba.conf $pt/pg_hba.i
  sed 's/host    all         all         127.0.0.1\/32/host    all         all         0.0.0.0\/0/
       s/host    all         all         ::1\/128/host    all         all         ::\/0/
       s/host    all             all             127.0.0.1\/32/host    all             all             0.0.0.0\/0/
       s/host    all             all             ::1\/128/host    all             all             ::\/0/' $pt/pg_hba.i >$pt/pg_hba.conf
fi
